<div class="col-lg-12 cmr_notfication">
  <button class="close_btn" (click)="closeDialog();"><i aria-hidden="true" class="fa fa-times fa-2x"></i></button>
  <h3>
    <strong>Send Notification</strong>
  </h3>
  <div class="ibox float-e-margins">
    <div class="ibox-content">
      <div class="form-group row">
        <div class="form-input">
          <select class="form-control notification_input" [(ngModel)]="selectedValue">
            <option value="default" selected>--Select Notification Type--</option>
            <option value="customer">--Customer App Notification--</option>
            <option value="sms">--SMS Notification--</option>
            <option value="push">--Push Notification--</option>
            <option value="email">--Email Notification--</option>
          </select>
        </div>
      </div>
      <form *ngIf="selectedValue == 'customer'" [formGroup]="cAppNotify" #f="ngForm" (submit)="sendcAppNotify(f)" autocomplete="off"
        class="form-horizontal">
        <div class="form-group">
          <div class="form-input">
            <input type="text" class="form-control notification_input" formControlName="title" maxlength="50"
              placeholder="title" required>
            <div class="error-msg"
              *ngIf="cAppNotify.controls['title'].invalid && (cAppNotify.controls['title'].dirty || cAppNotify.controls['title'].touched || f.submitted)">
              <div *ngIf="cAppNotify.controls['title'].errors.required">
                title is required.
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-input">
            <textarea type="text" class="form-control notification_input" maxlength="500" placeholder="Description"
              formControlName="description" required></textarea>
            <div class="error-msg"
              *ngIf="cAppNotify.controls['description'].invalid && (cAppNotify.controls['description'].dirty || cAppNotify.controls['description'].touched || f.submitted)">
              <div *ngIf="cAppNotify.controls['description'].errors.required">
                Description Id is required.
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-input">
            <input type="text" class="form-control notification_input" formControlName="link" maxlength="50"
              placeholder="Link" required>
            <div class="error-msg"
              *ngIf="cAppNotify.controls['link'].invalid && (cAppNotify.controls['link'].dirty || cAppNotify.controls['link'].touched || f.submitted)">
              <div *ngIf="cAppNotify.controls['link'].errors.required">
                Link is required.
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-input custom-position">
            <input name="start_date" formControlName="expiry" [owlDateTimeTrigger]="dtPicker1"
              [owlDateTime]="dtPicker1" placeholder="Expiry Date" class="form-control notification_input">
            <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
            <owl-date-time #dtPicker1></owl-date-time>
            <div class="error-msg"
              *ngIf="cAppNotify.controls['expiry'].invalid && (cAppNotify.controls['expiry'].dirty || cAppNotify.controls['expiry'].touched || f.submitted)">
              <div *ngIf="cAppNotify.controls['expiry'].errors.required">
                expiry is required.
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-input">
            <image-upload [extensions]="['jpeg', 'jpg', 'png']" [buttonCaption]="'Select Image'" [max]="1"
              [maxFileSize]="1048576" (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)"
              >
            </image-upload>
            <span *ngIf="spandata == 'yes'" class="image-format clearimage">
              Remove old image before new upload.
            </span>
            <span class="image-format">
              Only jpeg, jpg, png formats are allowed.
            </span>
          </div>
        </div>
        <div class="row form-group">
          <button style="padding: 10px;" class="btn_left" type="submit">{{submitButton}}</button>
          <button type="button" (click)="dontSend();" style="padding: 10px;" class="btn_right">Cancel</button>
        </div>

      </form>
      <form *ngIf="selectedValue == 'push'" [formGroup]="pushNotify" #f="ngForm" (submit)="sendpushNotify(f)" autocomplete="off"
        class="form-horizontal">
        <div class="form-group">
          <div class="form-input">
            <input type="text" class="form-control notification_input" formControlName="title" maxlength="50"
              placeholder="title" required>
            <div class="error-msg"
              *ngIf="pushNotify.controls['title'].invalid && (pushNotify.controls['title'].dirty || pushNotify.controls['title'].touched || f.submitted)">
              <div *ngIf="pushNotify.controls['title'].errors.required">
                Title is required.
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-input">
            <textarea type="text" class="form-control notification_input" maxlength="500" placeholder="Description"
              formControlName="description" required></textarea>
            <div class="error-msg"
              *ngIf="pushNotify.controls['description'].invalid && (pushNotify.controls['description'].dirty || pushNotify.controls['description'].touched || f.submitted)">
              <div *ngIf="pushNotify.controls['description'].errors.required">
                Description is required.
              </div>
            </div>
          </div>
        </div>
        <div class="row form-group">
          <button style="padding: 10px;" class="btn_left" type="submit">{{submitButton}}</button>
          <button type="button" (click)="dontSend();" style="padding: 10px;" class="btn_right">Cancel</button>
        </div>
      </form>
      <form *ngIf="selectedValue == 'sms'" [formGroup]="smsNotify" #f="ngForm" (submit)="sendsmsNotify(f)" autocomplete="off"
        class="form-horizontal">
        <div class="form-group">
          <div class="form-input">
            <textarea type="text" class="form-control notification_input" formControlName="message" maxlength="50"
              placeholder="Message" required></textarea>
            <div class="error-msg"
              *ngIf="smsNotify.controls['message'].invalid && (smsNotify.controls['message'].dirty || smsNotify.controls['message'].touched || f.submitted)">
              <div *ngIf="smsNotify.controls['message'].errors.required">
                Message is required.
              </div>
            </div>
          </div>
        </div>
        <div class="row form-group">
          <button style="padding: 10px;" class="btn_left" type="submit">{{submitButton}}</button>
          <button type="button" (click)="dontSend();" style="padding: 10px;" class="btn_right">Cancel</button>
        </div>
      </form>
      <form *ngIf="selectedValue == 'email'" [formGroup]="emailNotify" #f="ngForm" (submit)="sendemailNotify(f)" autocomplete="off"
        class="form-horizontal">
        <div class="form-group">
          <div class="form-input">
            <input type="text" class="form-control notification_input" formControlName="title" maxlength="50"
              placeholder="title" required>
            <div class="error-msg"
              *ngIf="emailNotify.controls['title'].invalid && (emailNotify.controls['title'].dirty || emailNotify.controls['title'].touched || f.submitted)">
              <div *ngIf="emailNotify.controls['title'].errors.required">
                Title is required.
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-input">
            <textarea type="text" class="form-control notification_input" maxlength="1500" placeholder="Content"
              formControlName="description" required></textarea>
            <div class="error-msg"
              *ngIf="emailNotify.controls['description'].invalid && (emailNotify.controls['description'].dirty || emailNotify.controls['description'].touched || f.submitted)">
              <div *ngIf="emailNotify.controls['description'].errors.required">
                Content is required.
              </div>
            </div>
          </div>
        </div>
        <div class="row form-group">
          <button style="padding: 10px;" class="btn_left" type="submit">{{submitButton}}</button>
          <button type="button" (click)="dontSend();" style="padding: 10px;" class="btn_right">Cancel</button>
        </div>
      </form>
    </div>
  </div>
</div>